18mH Radial Leaded Power Inductors :
4 Products FoundAll Filters
(1 Applied)
Expand Filters
Manufacturer
(4)
Inductance
=18mH
1
(3)
(2)
(1)
(3)
(1)
(1)
(2)
(2)
Product Range
(1)
(1)
(1)
(1)
Inductor Construction
(4)
RMS Current (Irms)
(1)
(1)
(1)
(1)
Saturation Current (Isat)
(1)
(1)
(1)
(1)
DC Resistance Max
(1)
(1)
(1)
(1)
Inductance Tolerance
(4)
Packaging
(4)
| Compare | Manufacturer Part No | Order Code | Manufacturer / Description | Availability | Price for | Price | Quantity | Product Range | Inductance | Inductor Construction | RMS Current (Irms) | Saturation Current (Isat) | DC Resistance Max | Inductance Tolerance |
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
Each | 1+$1.740 10+$1.500 25+$1.400 50+$1.260 100+$1.110 More Pricing... | RFC1010 Series | 18mH | Unshielded | 150mA | 210mA | 25ohm | ± 10% | ||||||
Each | 1+$1.240 10+$1.060 25+$0.974 50+$0.879 100+$0.783 More Pricing... | RFC0807 Series | 18mH | Unshielded | 90mA | 150mA | 51ohm | ± 10% | ||||||
Each | 1+$1.520 10+$1.310 25+$1.210 50+$1.090 100+$0.974 More Pricing... | RFB0807 Series | 18mH | Unshielded | 100mA | 50mA | 56ohm | ± 10% | ||||||
Each | 1+$1.750 10+$1.510 25+$1.390 50+$1.250 100+$1.110 More Pricing... | RFC0810 Series | 18mH | Unshielded | 135mA | 160mA | 30ohm | ± 10% | ||||||



